<?php
session_name('cartoonistgroup');
session_start();
include('/home/cartoon5/_cartoonistgroup.com/include/includepath.php');


// blank = most recent, no calendar
// a = most recent, two week pulldown
// b = most recent, 30-day calendar
// c = merchandise (link only works if property has merchandise)
// d = similar subjects, cartoonistgroup results
// e = e-card
// f = similar subjects, local results
// h = show non-visible images
// i = previous / next image
// j = keyword search, local results
// k = keyword search, cartoonistgroup results
// l = licensing links
// n = copyno
// p = publication date search
// q = publication date search, local results
// r = most recent image first
// s = share this
// t = ten years ago (etc.) today
// u = puzzle
// v = images returned by viewable date instead of published
// w = similar links on localized search results
// x = NO INITIAL IMAGE and hides any image-related options (c,e,l,s,d,f) until image is shown


///////////////////////////////////////////////////////////////////
// WHEN NEW CLIENTS ARE ADDED, THEY NEED TO BE ASSIGNED A NUMBER //
// AND PLACED INTO THIS BLOCK ALONG WITH ANY URLs THEY WILL USE. //
// THIS ALLOWS THE FACEBOOK APP TO WORK WITHOUT PASSING FULL URL //
///////////////////////////////////////////////////////////////////

if (!is_null($_GET['origin']) || $_GET['origin']!='')
{
	$origin = $_GET['origin'];
	if ($origin=='http://www.frankandernest.com/test.php') $origin='442';
	if ($origin=='http://frankandernest.com/test.php') $origin='442';
	if ($origin=='http://www.cartoonistgroup.com/templates/fb_test.php') $origin='559';
	if ($origin=='http://cartoonistgroup.com/templates/fb_test.php') $origin='559';
	if ($origin=='http://www.frankandernest.com/search/index.html') $origin='888';
	if ($origin=='http://www.frankandernest.com/index.html') $origin='888';
}

if (!empty($_GET['fb_ref']))
{
	$fb_ref=$_GET['fb_ref'];
	if ($fb_ref=='442') $fb_ref='http://www.frankandernest.com/test.html';
	if ($fb_ref=='335') $fb_ref='http://www.grimmy.com/today.html';
	if ($fb_ref=='559') $fb_ref='http://www.cartoonistgroup.com/templates/fb_test.html';
	if ($fb_ref=='888') $fb_ref='http://www.frankandernest.com/search/index.html';
}




include_once($includepath . '/include/functions.php');
include($includepath . '/include/db.php');
db_connect();

if (isset($_POST['searchtype']))
{
	include($includepath . '/include/attrs.php');
}



//These lines check to see if there is a css variable in the URL.
//If not, then the standard template_ext.css is used.

if (is_null($_GET['css']) || !isset($_GET['css']) || $_GET['css']=='')
{
	$stylesheet = 'template_ext';
}
ELSE
{
	$stylesheet = $_GET['css'];
}

$today = $_GET['today'];
$options = $_GET['opt'];
$keywords = $_GET['keywords'];
$published_day = $_GET['published_day'];
$published_month = $_GET['published_month'];
$published_year = $_GET['published_year'];

////////////////////////////////////////////////////////////////
// This section determines if a specific image is being called,
// OR if an Artist is being called
// OR a Property is being called
////////////////////////////////////////////////////////////////

if (isset($_GET['iid']))
{
	$iid = $_GET['iid'];
	if (!is_numeric($iid))
	{
		echo "IID must be numeric";
		exit;
	}

	$result = db_do("SELECT property, home_dir, property_type, image_name, property_name, height, width " .
		"FROM image_data WHERE image_id='$iid' LIMIT 1");
	list($id, $home_dir, $type, $image_name, $property_name, $height, $width) = db_row($result);

	db_free($result);

	$iix = $iid;
	$imagepath = $home_dir. '/art_images/' . $image_name;
}
ELSEIF (isset($_GET['aid']))
{
	$aid = $_GET['aid'];
	if (!is_numeric($aid))
	{
		echo "AID must be numeric";
		exit;
	}

	$result = db_do("SELECT first_name, last_name FROM artist WHERE id='$aid' LIMIT 1");
	list($artist_first, $artist_last) = db_row($result);
	db_free($result);

	$result = db_do("SELECT property_id FROM artist_property_crosslinks WHERE artist_id='$aid'");
	$id = array();
	while (list($iid) = db_row($result))
		$id[] = $iid;

	$numberofproperties = count($id);

	// The propertysql variable is used in all queries to enable multiple property searches for artist
	if($numberofproperties>1)
	{
		$propertysql="(property='$id[0]' OR property='$id[1]' OR property='$id[2]' OR property='$id[3]')";
	}
	ELSEIF($numberofproperties==1)
	{
		$propertysql="property=$id[0]";
	}
	ELSE
	{
		echo "Artist $artist_first $artist_last has no associated properties";
		exit;
	}

	db_free($result);

	$idx=$id[0];
	$linktype= 'aid';
	$idneutral=$aid;
}
ELSE
{
	$id = $_GET['id'];
	if (!is_numeric($id))
	{
		echo "ID must be numeric";
		exit;
	}

	$result = db_do("SELECT name FROM master_property WHERE id='$id' LIMIT 1");
	list($property_name) = db_row($result);
	db_free($result);

}


//echo "PROPERTY NAME IS $property_name<p>";

if(!is_array($id))
{
	// The propertysql variable is used in all queries to enable multiple property searches for artist
	$propertysql="property='$id'";
	$idx=$id;
	$linktype= 'id';
	$idneutral=$id;
}


// adds the class 'resultsshowing' to the comic so that users can make
// the comic display: none in their CSS should they desire.

if($_GET['submit']=='Search')
	{
		$class=" class='resultsshowing'";
		$classonly = "resultsshowing";
	}


// OPTION H: SHOW NON-VISIBLE IMAGES
// If option H is not selected, the following line is
// entered into the mysql query

if(!strchr($options,h))
{
	$invisible = "AND image_data.invisible = 0 ";
}
ELSE
{
	$invisible = "";
}

// END OPTION H: SHOW NON-VISIBLE IMAGES


// OPTION T: TODAY IN THE PAST (part 1)

if(strchr($options,t) && !strchr($options,x))
{
	//get earliest year available for property, within 5 days of today (AND within 40 years)

	$dayofyear=date('z')+1;
	$dayofyearlow=date('z')-5;
	$fortyyearsago=date('Y')-40;

	$sql = "SELECT year(published) as year FROM image_data WHERE " .
		"dayofyear(published) between '$dayofyearlow' and '$dayofyear' " .
		"AND activated IS NOT NULL $invisible AND $propertysql " .
		"AND year(published)>=$fortyyearsago " .
		"ORDER BY year ASC LIMIT 1";

	$result = db_do("$sql");
	list($firstyear) = db_row($result);

	db_free($result);

	//find difference to determine how many years ago are possible
	$numberofyears = Date("Y")-$firstyear;

	//The previous query could have no results if it is at the end of the year.
	//Thus, if firstyear is empty, default to 10 years
	if (empty($firstyear))
		$numberofyears = 10;

	//build array of possible years
	$years = array(
		'1' => 'One Year Ago',
		'2' => 'Two Years Ago',
		'3' => 'Three Years Ago',
		'4' => 'Four Years Ago',
		'5' => 'Five Years Ago',
		'6' => 'Six Years Ago',
		'7' => 'Seven Years Ago',
		'8' => 'Eight Years Ago',
		'9' => 'Nine Years Ago',
		'10' => 'Ten Years Ago',
		'11' => 'Eleven Years Ago',
		'12' => 'Twelve Years Ago',
		'13' => 'Thirteen Years Ago',
		'14' => 'Fourteen Years Ago',
		'15' => 'Fifteen Years Ago',
		'16' => 'Sixteen Years Ago',
		'17' => 'Seventeen Years Ago',
		'18' => 'Eighteen Years Ago',
		'19' => 'Nineteen Years Ago',
		'20' => 'Twenty Years Ago',
		'21' => 'Twenty-one Years Ago',
		'22' => 'Twenty-two Years Ago',
		'23' => 'Twenty-three Years Ago',
		'24' => 'Twenty-four Years Ago',
		'25' => 'Twenty-five Years Ago',
		'26' => 'Twenty-six Years Ago',
		'27' => 'Twenty-seven Years Ago',
		'28' => 'Twenty-eight Years Ago',
		'29' => 'Twenty-nine Years Ago',
		'30' => 'Thirty Years Ago',
		'31' => 'Thirty-one Years Ago',
		'32' => 'Thirty-two Years Ago',
		'33' => 'Thirty-three Years Ago',
		'34' => 'Thirty-four Years Ago',
		'35' => 'Thirty-five Years Ago',
		'36' => 'Thirty-six Years Ago',
		'37' => 'Thirty-seven Years Ago',
		'38' => 'Thirty-eight Years Ago',
		'39' => 'Thirty-nine Years Ago',
		'40' => 'Forty Years Ago'
	);

	//Determine current year or oldest possible year
	$y = $_GET['y'];

	if (empty($y) && $numberofyears < 40)
		$y = $numberofyears;
	elseif (empty($y))
		$y = 40;


	// this line strips existing y= from request_uri
	$thisday_uri= preg_replace("/&y=[0-9]*/", "", $_SERVER['REQUEST_URI']);

	$links1 = "<p><font face='Verdana, Arial, Helvetica, sans-serif' size='1' color='#006600'>";

	//This builds the 'years ago' links
	for ($i = $numberofyears; $i > 0; $i--)
	{
		$time = strtotime("-$i years");
		$year = date('Y-m-d',strtotime("-$i years"));
		$yearlow = date('Y-m-d',strtotime("-5 days",$time));
		$yearhigh = date('Y-m-d',strtotime("+1 days",$time));

		$result = db_do("SELECT image_id, published FROM image_data WHERE " .
			"published>='$yearlow' AND published<='$yearhigh' AND activated IS NOT NULL $invisible AND $propertysql " .
			"ORDER BY published DESC LIMIT 1");
		list($imageid,$publishdate) = db_row($result);

		if (db_num_rows($result) > 0)
		{
			//Does not show | at beginning of list
			if ($i != $numberofyears)
			$links1 .= '&nbsp;|&nbsp;';

			if ($y == $i)
				$links1 .= $years[$i];
			else
				$links1 .= "<a href=" . $thisday_uri . "&y=" . $i . ">" . $years[$i] . "</a>";
		}
		db_free($result);
	}

	$links1 .= '</font></p>';

	$time = strtotime("-$y years");
	$year = date('Y-m-d',strtotime("-$y years"));
	$yearlow = date('Y-m-d',strtotime("-5 days",$time));
	$yearhigh = date('Y-m-d',strtotime("+2 hours",$time));

//Pulls the most recent image within the range.
	$sql2 = "SELECT image_id, published, home_dir, property_type, image_name, property_name, height, width " .
		"FROM image_data WHERE " .
		"published>='$yearlow' AND published<='$yearhigh' AND activated IS NOT NULL $invisible AND $propertysql " .
		"ORDER BY published DESC LIMIT 1";
	$result = db_do("$sql2");
	list($iid, $published, $home_dir, $type, $image_name, $property_name, $height, $width) = db_row($result);

	if (db_num_rows($result) <= 0)
	{
		$current_uri=$_SERVER['REQUEST_URI'];

		if ($thisday_uri != $current_uri)
		{
			header('Location: ' . $thisday_uri);
		}
		ELSE
		{
			//troubleshooting
			//echo "fortyyearsago is $fortyyearsago<p>";
			//echo "y is $y<p>";
			//echo "time is $time<p>";
			//echo "year is $year<p>";
			//echo "yearlow is $yearlow<p>";
			//echo "yearhigh is $yearhigh<p>";
			//echo "dayofyear is $dayofyear<p>";
			//echo "dayofyearlow is $dayofyearlow<p>";
			//echo "sql is $sql<p>";
			//echo "sql2 is $sql2<p>";
			//echo "y is $y<p>";
			//echo "numberofyears is $numberofyears<p>";
			//echo "current_uri is $current_uri<p>";
			//echo "thisday_uri is $thisday_uri<p>";
			//echo "firstyear is $firstyear<p>";
			//echo "Visit <a href='http://cartoonistgroup.com'>The Cartoonist Group</a>";
			exit;
		}
	}
	db_free($result);
	$imagepath = $home_dir. '/art_images/' . $image_name;
	$iix=$iid;
}

// END OPTION T (part 1)


// OPTION V: IMAGES BY VIEWABLE DATE

if(strchr($options,v))
	{
	$published_viewable = viewable;
	}
ELSE
	{
	$published_viewable = published;
	}

// END OPTION V


if (isset($_GET['iid']))
	{
	}


// OPTION R: IMAGES MOST RECENT FIRST

ELSEIF (strchr($options,r) && !strchr($options,x))
{
	$iids = cg_buildrecentlist($propertysql,$published_viewable,$invisible,40);

	//These lines of code create a session variable based on either the property number
	//or the first property number, if going by artist.  If the variable does not already
	//exist, it assigns 1 to f; otherwise it assigns the session variable to f.
	if (!isset($_SESSION['new_additions' . $idx]))
	{
		$_SESSION['new_additions' . $idx] = array();
		$f = 1;
	}
	ELSE
	{
		$f = $_SESSION['new_additions' . $idx][f];
	}

	//These lines of code uses the session variable f to take image IDs from the array,
	//using them to pull the current image

	$result = db_do("SELECT property, property_name, property_type, home_dir, image_id, image_name, height, width FROM image_data " .
		"WHERE image_id = '" . $iids[$f]['iid'] . "' LIMIT 1");

	list($propertyID, $name, $type, $home_dir, $iid, $image_name, $height, $width) = db_row($result);

	$f=$f+1;

	db_free($result);

	$_SESSION['new_additions' . $idx][f] = $f;

	$imagepath = $home_dir. '/art_images/' . $image_name;
}

// END OPTION R

ELSEIF (!strchr($options,t) && !strchr($options,x))
{
	$iids=cg_buildrecentlist($propertysql,$published_viewable,$invisible,40);

	$really_today = date( "Y-m-d");

	if (empty($today) || $today > $really_today)
	{
		$today = date( "Y-m-d");
	}

	$smalldate = date ("m/d", strtotime("$today"));

	//Here we pull out from the iids the one corresponding to 'today'
	$key = cg_array_search_value($today, $iids);
	//$key = array_search($today, $iids);

	//troubleshooting
//	echo "key is $key<p>Today is $today<p>iids:<br>";
//	print_r($iids);

	if (is_null($key) || $key=='')
	{
		$key = 1;
	// Added this in case there is no image ID
		if (is_null($iids[1]['iid']))
		{
			echo "Not a valid property.";
			exit;
		}
	}


	//With the new code, the script now KNOWS which is the most recent image: iids[1]

	$result = db_do("SELECT image_data.image_id, image_data.image_name, master_property.name, " .
		"master_property.id, master_property.home_dir, master_property.type, height, width " .
		"FROM master_property,image_data WHERE image_data.image_id=" . $iids[$key]['iid'] . " AND master_property.id=image_data.property LIMIT 1");

	list($iix, $image_name, $property_name, $propertyID, $home_dir, $type, $height, $width) = db_row($result);

	db_free($result);

	$imagepath = $home_dir. '/art_images/' . $image_name;
	$iid=$iix;

	//troubleshooting
//echo "PROPERTY NAME IS $property_name<p>";

//	echo "iix is $iix<br>linkid is $linkid<br>id is $id<br>iids is ";
//	print_r($iids);
//	exit;


	}

//troubleshooting
// echo "published_viewable is $published_viewable<br>propertyID is $propertyID<br>today is $today<br>iix is $iix<br>image_name is $image_name";


//these apply to inc-2weekpulldown; leave for now

$todayminus1 = date ("Y-m-d", strtotime("$really_today -1 days"));
$todayminus2 = date ("Y-m-d", strtotime("$really_today -2 days"));
$todayminus3 = date ("Y-m-d", strtotime("$really_today -3 days"));
$todayminus4 = date ("Y-m-d", strtotime("$really_today -4 days"));
$todayminus5 = date ("Y-m-d", strtotime("$really_today -5 days"));
$todayminus6 = date ("Y-m-d", strtotime("$really_today -6 days"));
$todayminus7 = date ("Y-m-d", strtotime("$really_today -7 days"));
$todayminus8 = date ("Y-m-d", strtotime("$really_today -8 days"));
$todayminus9 = date ("Y-m-d", strtotime("$really_today -9 days"));
$todayminus10 = date ("Y-m-d", strtotime("$really_today -10 days"));
$todayminus11 = date ("Y-m-d", strtotime("$really_today -11 days"));
$todayminus12 = date ("Y-m-d", strtotime("$really_today -12 days"));
$todayminus13 = date ("Y-m-d", strtotime("$really_today -13 days"));
$todayminus14 = date ("Y-m-d", strtotime("$really_today -14 days"));



include('/home/cartoon5/_cartoonistgroup.com/include/copyno-include.php');



//if id is an array, then linktype is set to aid and idneutral set to aid id
//if id is not an array, linktype is set to id and idneutral set to id id

$path = "https://www.cartoonistgroup.com/templates/template_ext.php?origin=" . $origin . "&opt=" . $options . "&css=" . $stylesheet . "&" . $linktype . "=" . $idneutral . "&today=";


//troubleshooting
//echo "php_self: " . $_SERVER['PHP_SELF'];
//echo "<p>request_uri: " . $_SERVER['REQUEST_URI'];



?>

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:og="http://opengraph.org/schema/" xmlns:fb="https://www.facebook.com/2008/fbml">
  <head>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
    <title><?php echo $property_name;?></title>
    <meta property="og:title" content="<?php echo $property_name . ' ' . $today;?>"/>
    <meta property="og:type" content="cartoonistgroup:cartoon"/>
    <meta property="og:url" content="<?php echo $path . $today;?>"/>
    <meta property="og:image" content="https://www.cartoonistgroup.com/properties/<?php echo $imagepath; ?>"/>
    <meta property="og:site_name" content="CartoonistGroup"/>
    <meta property="fb:admins" content="1348369420"/>
    <meta property="og:description"
          content=""/>



<?php
if (!empty($fb_ref))
{
?>

<script type="text/javascript">
if (self.location == top.location &&
location.search.substring(1) != 'nf')
top.location.href = '<?php echo $fb_ref; ?>?' + escape(self.location);
</script>

<?php
}
?>





<link href="<?php echo $stylesheet; ?>.css" rel="stylesheet" media="all"/>
    <script type="text/javascript" src="https://www.cartoonistgroup.com/classes/Frame.js"></script>

</head>
<body>

<!-- Title/Archive Bar -->
<div id="comics_wrapper2">


<div id="comic_title" <?php echo $class; ?>>

<?php

// OPTION A: TWO-WEEK PULLDOWN

if(strchr($options,a) && !strchr($options,x))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-2weekpulldown.php");
	}

// END OPTION A

?>

</div>


<?php
// OPTION U: PUZZLE

if(strchr($options,u) && !strchr($options,x))
	{

	$heightplus = $height + 100;
	$widthplus = $width + 8;

?>

    <script src="/js/jquery.js"></script>
    <script src="/js/puzzle.js"></script>

    <style>
    #puzzle {
        border-bottom: 1px solid #ACACAC;
        border-right: 1px solid #ACACAC;
        border-top: 1px solid #E8E8E8;
        border-left: 1px solid #E8E8E8;
        background-color: #000000;

        /* Centering */
        width: <?php echo $widthplus; ?>;
        margin-left: auto;
        margin-right: auto;
    }

    #puzzle_ui {
        font-family: arial;
        background-color: #FFFFFF;
        text-align: center;
    }

    td {
        padding: 0px;
    }
    </style>


        <img hidden=true id="puzzle_img" src="https://www.cartoonistgroup.com/properties/<?php echo $imagepath; ?>"></img>
        <div id="puzzle">
            <div id="puzzle_board"></div>
            <div id="puzzle_ui">
                <span id="puzzle_clicks">Clicks: 0</span>
                |
                <input type="button" value="Scramble" onClick="PuzzleGame.onResetClick()"></input>
                <input type="button" value="Solve" onClick="PuzzleGame.onSolveClick()"></input>
            </div>
        </div>




<center>
						<font face="Verdana, Arial, Helvetica, sans-serif" size="1"><noscript>
                              Please turn on JavaScript in order to access this
                              page. </noscript> </font></p>
		</center>

<?php
	}

// END OPTION U


// The following shows up if option B (30-day calendar) or option U (Puzzle) are NOT selected


if(!strchr($options,b) & !strchr($options,x) & !strchr($options,u))
	{
	?>

	<!-- Full Comic -->
	<div id="comic_full" height="<?php echo $height; ?>"<?php echo $class; ?>>

	<?php
	if(strchr($options,n))
		{
		?>
		<a href="http://www.cartoonistgroup.com/copyno.php" target="_blank" onMouseOver="document.images['im2'].src='<?php echo $copyno; ?>'" onMouseMove="document.images['im2'].src='<?php echo $copyno; ?>'" onMouseDown="document.images['im2'].src='<?php echo $copyno; ?>'" onMouseOut="document.images['im2'].src='/properties/<?php echo $imagepath; ?>'"><img src="/properties/<?php echo $imagepath; ?>" border="0" name="im2" onLoad="preload=new Image(); preload.src='https://www.cartoonistgroup.com<?php echo $copyno; ?>'"></a>
		<?php
		}
	ELSE
		{
		?>
		<img border="0" src="https://www.cartoonistgroup.com/properties/<?php echo $imagepath; ?>" alt="<?php echo $property_name . ' ' . $smalldate; ?>" name="im2">
		<?php
		}
	?>

	</div>

	<?php

	// OPTION I: PREVIOUS/NEXT IMAGE (only works if B: 30-DAY CALENDAR is NOT selected)

	if(strchr($options,i))
		{

//yesterday is today -i
//SO, find today, then subtract one i to get yesterday
//add one i to get tomorrow
//$key
//$iids[$key]['iid']

// 6.3.12
// NOW HANDLES PROPERTIES WITH MULTIPLE IMAGES PER DAY
// Check previous and next to determine if it is equal to today
// If so, go back (or forward) further

//troubleshooting
//echo "key is $key";

		$yesterday=$iids[$key+1]['date'];
		if ($yesterday == $today)
			{
			$yesterday=$iids[$key+2]['date'];
			if ($yesterday == $today)
				{
				$yesterday=$iids[$key+3]['date'];
				}
			}

		$tomorrow=$iids[$key-1]['date'];
		if ($tomorrow == $today)
			{
			$tomorrow=$iids[$key-2]['date'];
			if ($tomorrow == $today)
				{
				$tomorrow=$iids[$key-3]['date'];
				}
			}

		if ($key >= 30)
			{
			$toplineprevious="&nbsp;";
			}
		else
			{
			$toplineprevious="<a href='$path$yesterday'>&laquo; Previous day</a>";
			}

		if ($key == 1)
			{
			$toplinenext="&nbsp;";
			}
		else
			{
			$toplinenext="<a href='$path$tomorrow'>Next day &raquo;</a>";
			}

		?>

		<div id=prevnext>

		<table border=0 width=600 class="prevnext <?php echo $classonly; ?>">
		<tr id='prevnexttop'>
		<td colspan=3 align='left'><?php echo $toplineprevious; ?></td><td></td><td colspan=3 align='right'><?php echo $toplinenext; ?></td></tr>
		</table>


		<?php



		//troubleshooting
		//echo "key is $key<br>iix is $iix<br>linkid is $linkid<br>id is $id<br>iids is ";
		//print_r($iids);
		//exit;

		echo "</div>";

		}

	// END OPTION I

	}

// OPTION B: 30-DAY CALENDAR

if(strchr($options,b) && !strchr($options,x))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-30day_artist.php");
	}

// END OPTION B


// OPTION T: TODAY IN THE PAST (part 2)

if(strchr($options,t) && !strchr($options,x))
{
?>
	<p><font face="Verdana, Arial, Helvetica, sans-serif"><?php echo $years[$y]; ?> Today!</font></p>
	<p><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#006600">Use these links
	to see today's strip from other years.<br>Please note that for some of the earlier years, you may see a strip from within a couple of days of today's date.</font></p>
    <?php echo $links1; ?>
<?php
}

// END OPTION T (part 2)





$linkid = $iid;

// OPTION S: SHARE THIS
if(strchr($options,s) && !strchr($options,x))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-sharecode.php");
	}

// END OPTION S



// OPTION E: E-CARDS

if(strchr($options,e) && !strchr($options,x))
	{
	echo "<DIV id=ecards_box $class>";
	echo "<p><a href=https://www.cartoonistgroup.com/search/cardimage.php?iid=$linkid id='ecard' target='_blank'>Send an <b>e-card</b> of this cartoon from The Cartoonist Group!</a>";
	echo "</DIV>";
	}

// END OPTION E


// OPTION L: LICENSING

if(strchr($options,l) && !strchr($options,x))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-licensing.php");
	}

// END OPTION L


// OPTION C: MERCHANDISE

if(strchr($options,c) && !strchr($options,x))
	{
//  NO MORE MERCHANDISE LINKS PER SARA 4/12/2015
//	echo "<DIV id=merchandise_box $class>";
//	echo "<p class='merchandise'><a href=http://store.cartoonistgroup.com/catalog/byid.php?id=$linkid id='merch' target='_blank'>See <b>merchandise</b> available for this cartoon!</a>";
//	echo "</DIV>";
	}

// END OPTION C


// OPTION D: SIMILAR COMICS (multi-word subject)
// ready for artist
if(strchr($options,d) && !strchr($options,x))
	{
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-similar.php");
	}

// END OPTION D

// OPTION F: SIMILAR COMICS LOCALIZED RESULTS
if(strchr($options,f) && !strchr($options,x))
{
	$source = 'ext';
	include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-similar.php");
}

// END OPTION F

// OPTION P: PUBDATE SEARCH

if(strchr($options,p))
{
	if ($_GET['goback']!='yes')
	{
		if (empty($name))
			$name=$property_name;
		$propertyID=$id;
		include("/home/cartoon5/_cartoonistgroup.com/htdocs/templates/inc-pubdate.php");
	}
}

// END OPTION P


// OPTION K: KEYWORD SEARCH, DIRECT TO CARTOONISTGROUP.COM

if(strchr($options,k))
	{
	echo "<DIV id=keyword_box>";
	echo "<p><form action='/search/refine.php' method='POST' target='_blank'>";
	echo "<table class='kwsearch'><tr><td>Search <i>$property_name</i> using keywords:";
	echo "<input id='keywords' name='keywords' type='text' size='18'>";
	echo "<INPUT id='keywordssubmit' TYPE='submit' NAME='submit' VALUE='Go to the Cartoonist Group'></td></tr>";
	echo "<tr><td class='noneed'>No need to add comics or cartoons to your keywords.";
	echo '<input type="hidden" name="property" value="' . $property_name . '"></td></tr>';
	echo "</table></form>";
	echo "</DIV>";
	}

// END OPTION K


if ($_GET['goback']=='yes')
{
	echo "<a href='javascript: history.go(-1)'>Return</a>";
}




// OPTION J & OPTION Q: KEYWORD SEARCH, PUBDATE SEARCH, LOCALIZED RESULTS

// sets the variables for each case
if(strchr($options,j) && strchr($options,q))
{
	$searchmethod='kwpub';
	$introtext="Find <i>$property_name</i> by date and/or keywords:";
	$keywordinput="<tr><td align='center'>And/or enter keywords below:<br><input id='keywords' name='keywords' type='text' size='18' value='$keywords'></td></tr>";
	$noneedtext="<tr><td align='center' class='noneed'>No need to add comics or cartoons to your keywords.";
}
ELSEIF (strchr($options,j))
{
	$searchmethod='keyword';
	$introtext="Search <i>$property_name</i> using keywords:";
	$keywordinput="<tr><td><input id='keywords' name='keywords' type='text' size='18' value='$keywords'></td></tr>";
	$noneedtext="<tr><td class='noneed'>No need to add comics or cartoons to your keywords.</td></tr>";
}
ELSEIF (strchr($options,q))
{
	$searchmethod='pubdate';
	$introtext="Find <i>$property_name</i> published on a specific date:";
}

//builds the search form(s)
if(isset($searchmethod))
{
	if ($_GET['goback']!='yes')
	{
		echo "<DIV id='" . $searchmethod . "_box'$class>";
		echo "<p><form action=" . $_SERVER['PHP_SELF'] . " method='GET'>";
		echo "<table class='" . $searchmethod . "search'><tr><td class=topline>" . $introtext . "</td></tr>";

		if (strchr($options,q))
		{
			$publishedmonthdayyear = '<tr><td>Use <B>one or all</B> of these pull-down menus to select month, day and/or year:</td></tr>';
			$publishedmonthdayyear .= '<tr><td align=center><table class=pubdate><tr><td><select name="published_month" size="1">';
			$publishedmonthdayyear .= '<option value="" ';
			if (empty($published_month))
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>Month</option>';
			$publishedmonthdayyear .= '<option value="1" ';
			if ($published_month==1)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>January</option>';
			$publishedmonthdayyear .= '<option value="2" ';
			if ($published_month==2)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>February</option>';
			$publishedmonthdayyear .= '<option value="3" ';
			if ($published_month==3)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>March</option>';
			$publishedmonthdayyear .= '<option value="4" ';
			if ($published_month==4)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>April</option>';
			$publishedmonthdayyear .= '<option value="5" ';
			if ($published_month==5)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>May</option>';
			$publishedmonthdayyear .= '<option value="6" ';
			if ($published_month==6)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>June</option>';
			$publishedmonthdayyear .= '<option value="7" ';
			if ($published_month==7)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>July</option>';
			$publishedmonthdayyear .= '<option value="8" ';
			if ($published_month==8)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>August</option>';
			$publishedmonthdayyear .= '<option value="9" ';
			if ($published_month==9)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>September</option>';
			$publishedmonthdayyear .= '<option value="10" ';
			if ($published_month==10)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>October</option>';
			$publishedmonthdayyear .= '<option value="11" ';
			if ($published_month==11)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>November</option>';
			$publishedmonthdayyear .= '<option value="12" ';
			if ($published_month==12)
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>December</option>';

			$publishedmonthdayyear .= '</select></td><td><select name="published_day" size="1">';
			$publishedmonthdayyear .= '<option value="" ';
			if (empty($published_day))
				$publishedmonthdayyear .= 'selected';
			$publishedmonthdayyear .= '>Day</option>';

			foreach (range(1, 31) as $number)
			{
				$publishedmonthdayyear .= "<option value='$number'";
				$publishedmonthdayyear .= $published_day == $number ? 'selected' : '';
				$publishedmonthdayyear .= ">$number</option>";
			}
			$publishedmonthdayyear .= '</select></td><td><select name="published_year"><option value="">Year</option>';

$result = db_do("SELECT DISTINCT DATE_FORMAT(published, '%Y') AS foo FROM image_data WHERE $propertysql ORDER BY foo DESC");
			while (list($year) = db_row($result)) {
				if (empty($year) || $year == 'NULL')
					continue;

				if ($published_year == $year)
					$publishedmonthdayyear .= '                    <option value="'. $year . '" selected>' . $year . "</option>\n";
				else
					$publishedmonthdayyear .= '                    <option value="'. $year . '">' . $year . "</option>\n";
			}
			db_free($result);

			$publishedmonthdayyear .= '</select></td></tr></table></td></tr>';

		}

		echo $publishedmonthdayyear;
		echo $keywordinput;

		$keywordbox = "<tr><td align=center><INPUT id='" . $searchmethod . "submit' TYPE='submit' NAME='submit' VALUE='Search'></td></tr>";
		$keywordbox .= $noneedtext;
		$keywordbox .=  "<tr><td align=center><input type='hidden' name='searchtype' value='$searchmethod'>";
		$keywordbox .=  '<input type="hidden" name="property" value="' . $property_name . '">';
		$keywordbox .=  "<input type='hidden' name='id' value='$id'>";
		$keywordbox .=  "<input type='hidden' name='today' value='$today'>";
		$keywordbox .=  "<input type='hidden' name='opt' value='" . $options . "x'>";
		$keywordbox .=  "<input type='hidden' name='css' value='$stylesheet'>";
		$keywordbox .=  "<input type='hidden' name='fb_ref' value='$origin'>";
		$keywordbox .=  '</td></tr>';

		echo $keywordbox;

		echo "</table></form>";
		echo "</DIV>";
	}
}


// This section builds the results for both keyword and pubdate searches
if(!empty($keywords))
{
	if (!preg_match(' ', $keywords))
	{
		$match = "('$keywords' IN BOOLEAN MODE)";
		$singlewordkeyword=$keywords;
	}
	else
	{
		$foo = explode(' ', $keywords);
		foreach ($foo as $keyword)
		{
			if (empty($keyword))
				continue;
			$kwstring .= "+$keyword ";
			$keywordlink .="$keyword+";
		}
		$match = "('$kwstring' IN BOOLEAN MODE)";
	}

	$search_query=" AND MATCH (keywords,caption,participants,setting) AGAINST $match ";
	$keydate = "keywords=$keywordlink";
}

if($_GET['submit']=='Search' && strchr($options,q))
{
	$sort = "image_data.published";
	if (!empty($published_day))
	{
		$search_query .= " AND DAYOFMONTH(image_data.published)='$published_day'";
		$keydate = "published_day=$published_day";
	}

	if (!empty($published_month))
	{
		$search_query .= " AND MONTH(image_data.published)='$published_month'";
		$keydate .= "&published_month=$published_month";
	}

	if (!empty($published_year))
	{
		$search_query .= " AND YEAR(image_data.published)='$published_year'";
		$keydate .= "&published_year=$published_year";
	}
}

if($_GET['submit']=='Search' || !empty($keywords))
{
	$prefix = '/home/cartoon5/_cartoonistgroup.com';
	$sort = "image_data.viewable";
	$script = '/search/cardimage.php';
	$search_query .= " AND $propertysql";
	$QUERY_STRING_KEY = $_SERVER['QUERY_STRING'];

	if (isset($_GET['so']))
	{
		$pub_sort_order = $_GET['so'];
	}
	ELSE
	{
		$pub_sort_order = "DESC";
	}

	$forward = 'no';
	$propertyname = $property_name;
	$source = 'ext';

	// Adds related subject links
	// (moved from _results.php)
	if(strchr($options,w))
	{
		//troubleshooting
		// echo "SINGLEWORDKEYWORD IS $singlewordkeyword<p>";

		if (!empty($singlewordkeyword) && $singlewordkeyword!='')
		{
			$singlewordkeyword = addslashes($singlewordkeyword);

			$sql = "SELECT id FROM subjects WHERE name='$singlewordkeyword' AND active='1' LIMIT 1";
			$result1 = db_do($sql);

			list ($subjectid) = db_row($result1);
			db_free($result1);

			if ($subjectid>0)
			{
				$subjectlist =  cg_getrelatedsubjectsfromsubjectid($subjectid,$id,$source);
			}
		}
	}




	cg_flyouts_script();
	?>
	<style>
		.overlay
		{
			position: absolute;
			z-index: 40;
			width: 580px;
			padding: 2px;
			margin-left: 15px;
			background-color: #FFF;
		}
	</style>
	<?php
	include("/home/cartoon5/_cartoonistgroup.com/include/attrs.php");

			echo "<p>&nbsp;";


		if($keywords && $id=='13')
		{
			echo "<p><b>Here are your results for <b>$keywords</b> collected from 10,000 Frank and Ernest comic strips.</b>";
			echo "<p>These are available for you to license for books, magazines, newsletters, presentations and websites.<br>";
			echo "Roll-over each thumbnail and click on the image that appears to see links for licensing.<br>";
			echo "Questions? Please <a href='mailto:reprints@cartoonistgroup.com'>let us know</a>.";
		}


?>
<div id='flyouts'>

<?php

// ONLY SHOW FLYOUTS IF KEYWORDS FOUND

if ($keywords && $subjectlist)
{
	cg_flyouts_buttons_ext($subjectlist,$keywords,$stylesheet,$id,$propertyname);

	$UCsubj_name = ucwords($keywords);
	$URLsafe_subj_name = urlencode($UCsubj_name);
	$URLsafe_prop_name = urlencode($propertyname);

	// THIS WILL BE THE PROPERTY FLYOUT (not used)
	?>

	<div id='property-flyout' class='flyout' style="visibility:hidden" onmouseout="toggle_visibility_off(property-flyout)">
	</div>


	<?php
	// THIS WILL BE THE RELATED SUBJECTS FLYOUT
	?>

	<div id='subjects-flyout' class='flyout' style="visibility:hidden" onblur="toggle_visibility_off(subjects-flyout)">
	<div id='subjects-background'></div>

	<?php
	 echo $subjectlist;

	?>

	</div>

	<?php
	// THIS WILL BE THE REFINE RESULTS FLYOUT
	?>

	<div id='refine-flyout' class='flyout' style="visibility:hidden" onmouseout="toggle_visibility_off(refine-flyout)">
	<div id='refine-background'></div>
		<form method="get" action="template_ext.php">
			Change or add keywords to modify your search:<br>
			<?php
			echo '<input type="text" size="50" name="keywords" value="' . $keywords . '">';
			echo "<input type='hidden' name='searchtype' value='$searchmethod'>";
			echo "<input type='hidden' name='property' value='$URLsafe_prop_name'>";
			echo "<input type='hidden' name='id' value='$id'>";
			echo "<input type='hidden' name='published_month' value='$published_month'>";
			echo "<input type='hidden' name='published_day' value='$published_day'>";
			echo "<input type='hidden' name='published_year' value='$published_year'>";
			echo "<input type='hidden' name='today' value='$today'>";
			echo "<input type='hidden' name='opt' value='$options'>";
			echo "<input type='hidden' name='css' value='$stylesheet'>";
			echo "<input type='hidden' name='fb_ref' value='$origin'>";
			echo '<INPUT TYPE="submit" NAME="submit" VALUE="Search">';
			?>
			<p>

		</form>
	</div>



	</div>


	<?php
} // END FLYOUTS




	echo "<p>&nbsp;</p>";

	include("/home/cartoon5/_cartoonistgroup.com/htdocs/search/_results.php");



	// IF NO RESULTS
	if ($noresults=='yes')
	{
		$introtext = "<P>&nbsp;<br><b>Refine your search for better results</b></p>";
		echo "<p><form action=" . $_SERVER['PHP_SELF'] . " method='GET'>";
		echo "<table border='0' align='center' class='" . $searchmethod . "search'><tr><td class='topline' align='center'>" . $introtext . "</td></tr>";

		echo $publishedmonthdayyear;
		echo $keywordinput;
		echo $keywordbox;
		echo "</table>";

	}






	exit;
}

// END OPTION J, END OPTION Q

?>

</div>

<div style="clear:all;"></div>
<!-- END -->
<?php
	db_disconnect();
?>
</body>
</html>